# Global Search

## [v0.1.0](https://github.com/Oppzippy/GlobalSearch/tree/v0.1.0) (2022-07-01)
[Full Changelog](https://github.com/Oppzippy/GlobalSearch/commits/v0.1.0) [Previous Releases](https://github.com/Oppzippy/GlobalSearch/releases)

- Fix missed rename  
- Rename enabledModules to enabledProviders  
- Add Curse and Wago project IDs  
- Add localization strings for keybindings  
- Add AceEvent to .pkgmeta  
- Add reasoning for load order in toc  
- Add packager localization  
- Add sudo  
- Add github actions workflow  
- Fix type error  
- Cache macros  
- Cache toys  
- Cache pets  
- Cache mounts  
- Minor performance improvement for SlashCommandsSearchProvider  
    Around 1-2% improvement. This is by far the slowest provider, so it  
    does matter to an extent.  
- Improve SlashCommandsSearchProvider performance  
    We don't need to search the whole string for SLASH_, since we require it  
    to start with that anyway.  
- Remove unnecessary field definition  
- Include spell descriptions  
- Fix some spells not being included (Judgment)  
- Prioritize results where the name alone matches the query  
- Replace searchableText with extraSearchText  
    searchableText required the name to be duplicated everywhere. Since  
    everything should start with the name anyway, we can just append  
    extraSearchText to the name.  
- Fix bugs in SearchContext sorting  
- Add tests for SearchContext and SearchProviderCollection  
- Fix tests after directory restructuring  
- Ignore Tests directory in .pkgmeta  
- Cache spells  
- Fix missed rename  
- Rename ResetCache to ClearCache  
- Add pickup to all relevant providers  
- Add spell pickup  
- Render category names  
- Fix offspec spells being listed  
- Add bags search provider caching  
- Add search provider profiling  
- Refactor  
- Use events to pass dependencies to modules  
- Refactor  
- Add options  
- Use consistent method names for uncached data  
- Add bags  
- Add emotes  
- Remove debug print  
- Add macros  
- Rename SearchItem's macro field to macroText  
- Remove spellId field from SearchItem  
    The macro field provides the same functionality and more, so spellId is now  
     unnecessary.  
- Use gear icon for slash commands  
- Remove completed items from TODO  
- Fix extra stuff geting caught in the list of slash commands  
- Fix toy provider when the toy box is searched  
- Add pets  
- Fix bindings not being cleared when pressing escape  
- Add slash command items  
- Temporary fix the search bar starting with a space in it  
- Add comment explaining re-use of previous results  
- Adjust sorting  
    Prioritizing fewest total matches over earliest match helps when you  
    know a later word in the item you're looking for.  
    For example, searching "Board" will now prioritize Hearthstone Board  
    over items that happen to start with "b" while containing the rest of  
    the letters spread throughout the remainder of the string.  
- Implement toy usage  
- Code style fixes  
- Implement spells  
- Separate search UI from search module  
- Fix DefaultUIPanelsItemProvider not being added to provider list  
- Refactor  
- Move global strings to locale table  
- Add mounts  
- Add DefaultUIPanelProvider  
- Fix persisting selection between search queries  
- Add list item selection  
- Add sorting and highlighting  
- Don't show passive spells  
- Add spell searching  
- Set up project structure  
- Add license  
- Create search bar and result widget  
- Initial commit  
